Package org.apache.torque.generator.configuration.mergepoint

## Class ActionSaxHandlerFactories

- java.lang.Object
- - org.apache.torque.generator.configuration.mergepoint.ActionSaxHandlerFactories

-     public class ActionSaxHandlerFactories
      extends Object

  A registry of ActionSaxHandlerFactories. $Id: ActionSaxHandlerFactories.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionSaxHandlerFactories()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActionSaxHandlerFactory` | `getActionSaxHandlerFactory​(String type)` | Returns the ActionSaxHandlerFactory associated with the given type.
    `void` | `register​(ActionSaxHandlerFactory factory)` | Registers a handler for a new action type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionSaxHandlerFactories

          public ActionSaxHandlerFactories()

      Constructor. Registers the default Factories.

  - ### Method Detail

    - #### register

          public void register​(ActionSaxHandlerFactory factory)
                        throws ConfigurationException

      Registers a handler for a new action type.
      Parameters:
        `factory` - the factory which handles the action of the given type.
      Throws:
        `ConfigurationException` - if a factory already exists for the type of the action.

    - #### getActionSaxHandlerFactory

          public ActionSaxHandlerFactory getActionSaxHandlerFactory​(String type)

      Returns the ActionSaxHandlerFactory associated with the given type.
      Parameters:
        `type` - the type top look for, not null.
      Returns:
        the ActionSaxHandlerFactory associated with the given type, or null if no ActionSaxHandlerFactory exists for the given type.